slapt-src(8)

NAME
slapt-src - slackbuild utility

SYNOPSIS
slapt-src [OPTION]... [ACTION]

general: --version|-v, --help|-h

options: --yes|-y, --config|-c FILE, --no-dep|-n, --postprocess|-p

actions: --update|-u, --list|-l, --clean|-e, --search|-s, --show|-w, --install|-i, --build|-b, --fetch|-f

DESCRIPTION
slapt-src is a utility to make querying, retrieving, and building slackbuilds as easy as working with binary packages with slapt-get.

OPTIONS

--yes, -y
    Do not prompt.

--config, -c FILE
    Use the specified configuration file instead of /etc/slapt-get/slapt-srcrc.

--no-dep, -n
    Do not look for dependencies.

--postprocess, -p COMMAND
    Run specified command on generated package after the package is created. This is handy for transforming packages into SLAX/Linux-Live modules using the various *2lzm utilities.

ACTIONS

--update, -u
    Update the local cache of remote slackbuilds.

--list, -l
    List available slackbuilds from enabled remote slackbuild sources.

--clean, -e
    Clean out the build directories for prior built slackbuilds.

--search, -s expression...
    Search available slackbuilds from enabled remote slackbuild sources.

--show, -w name...
    Show information about specified slackbuilds.

--install, -i name...
    Fetch, build, and install the specified slackbuilds. The named slackbuilds can be postfixed by a colon followed by a version string to specify the exact version if multiple versions are available. For example, given foo-1.0 and foo-1.2, specifying foo:1.2 specifies the preference for the later.

--build, -b name...
    Only fetch and build the specified slackbuilds.

--fetch, -f name...
    Only fetch the specified slackbuilds.

CONFIGURATION
slapt-src checks The configuration file /etc/slapt-get/slapt-srcrc for options and slackbuild locations. Each slackbuild location is defined with a SOURCE token. The default package file extension is defined by specifying the PKGEXT token. The default package tag can be set by specifying the PKGTAG token. An example configuration file may look like this:

# sample slapt-srcrc
SOURCE=http://www.slackware.org.uk/slackbuilds.org/13.1/
BUILDDIR=/tmp
PKGEXT=txz
PKGTAG=me

AUTHOR
Jason Woodward <woodwardj@jaos.org>

SEE ALSO
installpkg(8), makepkg(8), pkgtool(8), upgradepkg(8), slapt-get(8)